> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getplum.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a single pair to an existing seed dataset by ID



## OpenAPI

````yaml https://raw.githubusercontent.com/getplumai/docs/refs/heads/main/api-reference/openapi.yaml post /data/seed/{id}/pair
openapi: 3.0.0
info:
  title: Plum API
  version: 1.1.0
servers:
  - url: https://beta.getplum.ai/v1
security: []
paths:
  /data/seed/{id}/pair:
    post:
      summary: Add a single pair to an existing seed dataset by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: ID of the existing seed dataset
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: Optional ID for the pair, will be generated if not provided
                input:
                  type: string
                output:
                  type: string
                labels:
                  type: array
                  items:
                    type: string
                input_media:
                  type: string
                  format: byte
                  description: Optional base64 encoded media data
                system_prompt_template:
                  type: string
                  description: >-
                    Optional - if provided when using a specific dataset ID, it
                    will be ignored
              required:
                - input
                - output
      responses:
        '200':
          description: Pair successfully added to dataset
          content:
            application/json:
              schema:
                type: object
                properties:
                  dataset_id:
                    type: string
                  pair_id:
                    type: string
        '400':
          description: >-
            Invalid request - missing required fields or dataset ID doesn't
            exist
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````